baz_time_keeper Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_time_keeper.h>`

Inheritance diagram for baz_time_keeper:
[legend]

## Public Member Functions

| ~baz_time_keeper ()
double | time (bool relative=false)
void | ignore_next (bool ignore=true)
int | update_count (void)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_time_keeper_sptr | baz_make_time_keeper (int item_size, float sample_rate)
| Return a shared_ptr to a new instance of baz_time_keeper. More...

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_time_keeper()

baz_time_keeper::~baz_time_keeper | ( |  | ) |

## Member Function Documentation

## ignore_next()

void baz_time_keeper::ignore_next | ( | bool | ignore = `true` | ) |

## time()

double baz_time_keeper::time | ( | bool | relative = `false` | ) |

## update_count()

int baz_time_keeper::update_count | ( | void |  | ) |

## work()

int baz_time_keeper::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Function Documentation

## baz_make_time_keeper

BAZ_API baz_time_keeper_sptr baz_make_time_keeper | ( | int | item_size,
|  | float | sample_rate
| ) |  |

friend

Return a shared_ptr to a new instance of baz_time_keeper.

To avoid accidental use of raw pointers, baz_time_keeper's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_time_keeper.h